GNU bug report logs - #46790
28.0.50; make install with native-comp branch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thierry Volpiatto <thievol@HIDDEN>; dated Fri, 26 Feb 2021 07:38:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 18:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 14:00:53 2021
Received: from localhost ([127.0.0.1]:53249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lVHue-0007ka-Ex
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 14:00:52 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thievol@HIDDEN>) id 1lVHua-0007bo-Tv
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 14:00:51 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 52A351A022B
 for <46790 <at> debbugs.gnu.org>; Sat, 10 Apr 2021 20:00:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1618077642; bh=ESXQMl+UAZivDzESLlVjy/zJ0v6pJH/PJbbD4DpUopM=;
 h=From:To:Cc:Subject:Date:Autocrypt:From;
 b=BufUX3UrXzNVfk9HPd0WhW1HdvY3wL3LOuRAjeiA15PdKjZXMDnJeG1u340FQcrqq
 fGhAYzuBq+tUhY0lC2+4PR6/RNw+6i3+BawK/H6zq7ie7wSw2bVBtlFH84Ykv73Noh
 2Dj2UAMMgX/gj1v3Ey5arfNffgq+/jK4Xz3p0zL88IL7HPd8m3V+ql/WyQ+Picu7iC
 HgQl6E12nHS/Ls/MkaaQ8NXknMwAnN7kuYid66jqFeH5+e+UCGPmYAVm82GwmifLBa
 lY0/CRojrSluqnPja1aAGbFcyhTO/eie+rYhLk175Wc2tzCRWbmmn5e6yDbOY+BUyM
 XkpNTFpED6mjw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FHjTh4w1Wz9rxG;
 Sat, 10 Apr 2021 20:00:40 +0200 (CEST)
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <xjf5z0ufwyx.fsf@HIDDEN> <87y2dqb67z.fsf@HIDDEN>
 <xjf1rbif6o7.fsf@HIDDEN>
User-agent: mu4e 1.5.11; emacs 27.2
From: Thierry Volpiatto <thievol@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
Date: Sat, 10 Apr 2021 19:55:15 +0200
In-reply-to: <xjf1rbif6o7.fsf@HIDDEN>
Autocrypt: addr=thievol@HIDDEN; prefer-encrypt=mutual; keydata=
 mQGNBF8ylcIBDADG+hy+zR6L4/vbdDDZuSaMmSrU3A5QZJpeBCvxTr7MpzzruZbhLPW1K3R6N2MA
 edi8Y+C8o27FVRIjpdbaKMGu9je7JV/TbUQYo3SOwCK1vM4LUn4V6ZLzSYkuiEt4eyMoiDdyvN0p
 kcK6P9x9DCetcEVszXzQg+yzCVrQ2hXWDXWT4M18EC3wtO7RHPouMqGiwBFhBAYErCqFWFxQHkfb
 tG/4yGyJ58rglb65O3qijjMWvYwcWZun9/7qm8Z4/4mHopmo2zgU+OrptnLSZfkZGz3Y7Uf452xQ
 GVq0Fv75NPvQru7y+DYVhuVXXyAmGxt+vf4rIiixMBbhKEPjcxEPAa2LTzex2IsTZR+QVG9uDnqC
 WcgaOEQ58fzXNvNhtwwF/Rgio2XWAJVdmFWS59/k9W58CIUSNKBMZh2XeGdEmtHvDtCxW3z6FJha
 36RzOM3fMNNiAGdFZJA84gcdloJR+sHCDTTPT3784fjr+V8An7sI581NGFzkRQqPvEQCZbUAEQEA
 AbQSdGhpZXZvbEBwb3N0ZW8ubmV0iQHUBBMBCgA+FiEEI9twfRN7r3nig/xwDsVtFB0W75MFAl8y
 lcICGwMFCQPCZwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQDsVtFB0W75MB3QwAlTsVzFmr
 +S/tMKwwwOibjhNPi/OZiUC2AYfaqfVAiIHDT3RbzDe03sAJoomJkJnYVjGzQZwibCMO2+ITkMPV
 2wvrd4CbgS1KCVbrltwcuK/nxPCBaHytOCZUIInnhJo5PE/h03K0rWhUFLDocpnWwI7mPq33oR9N
 u2XMNtUQeWhhZHj8dvpMazWIR/c4iPnQiIobETISNlKIVo7DZSl67btoBrZygVYobgHpAYLBpHtH
 pXUcfM+Jrl8ytLouZ2XYeqzezr1qUDXhPk6mXtEVLJsK4FSS4wT5hPpRozuIwj6sE8OGJIp5uUhm
 SYm9mjRNJBEgmGUNxMQ/wbcA3NEWxBeIZbRvxMgHG47GJ0TJM4xLpGC8BHUZvuIw05gAtgoA3BGh
 5GXbLWy4fi8ozJA/kCkP43d3zh4wTOfQterVTf90bbw6NiNcmXdKH7E/yO1or06bleza39PJsshX
 8EETESzVIifk2yDnc0/CQ+FrLY9IwOOszkMouFXmiwN1xMkjuQGNBF8ylcIBDADnIDHEkmk4lUwT
 lOhwb2yjUfmGPnpH3MCCHkjM9H/P1gTHxFWtwFVPcNMCwXWvKSBTF2dZXKERD0yzG06zT53ZMN7E
 IIeuY6m4R8IcMvpohciisWxbFoB4ZY117tVSeqjo946itgbpdeESKl9a8dpn7ytZMyYxPdojlQAq
 xeAJ8444raESh1oTKXb64hlk4l2pSRlrLgjpJBo8asAfZndaxIUKhw68tV8sqeZh9P6cGtHbUELK
 VJqefNV7V7jF5wf3xvRG6Ces3kSKXalLfs+vrVaoOjQeWrc0AtwFWHmt9JLfKrqF+Q2Q7jUidboW
 mazQM56ESJFPpPHmWq8k6DHspsFHOforLouTHJL1556IPne7IV2BGfWc0+xLxalZ8F5F+vnPF/Ok
 rC1CD5iCKTjXKa2iZbcYdYQAiL6P8Ac8CgN6EkhpbxRtzrEgChuNGevdi/G/GHG4Zqrh6YFwIa/N
 Hq2aVaFq5C1yNTMJd1FRjRzs5JPPlJKpYDnNx+MSp7UAEQEAAYkBvAQYAQoAJhYhBCPbcH0Te695
 4oP8cA7FbRQdFu+TBQJfMpXCAhsMBQkDwmcAAAoJEA7FbRQdFu+TXsEL/3nCs8oDLBSTPXylenWK
 CYLdfZSg8jmwgRKihktU1ZLf8kL/LtEhxdKc9nYQO0gTYdPQ+HEdFbm+gFZ4AxuCtd5zM+MP5Sej
 pfr93QbLwYCiqsudKa+T7wosBBNFnh8ZQkbnsF6iPIeESCJM0Vhjh1lQ+z1qVkdf/yazwmXspOUh
 3kx8dzJQ1F3t6Dj/zHpdNE11bT6wFwTPBFvFeH0yCwDpvVcLbH0xf/0V/RhwkQ4jjae0Cqn8domz
 RpGODjXkAzoRqpRL9/DvIKTQ/uJQqzu6qvi04foFCmtWTSahJiLtbgHSDNj1HHOivtgeTgtVdAEk
 ZAqAXJfmaM8KkEi8Rqcbz3AzkjNWjQNkel0xjB3wkewds1iGcvo2/etWOXcvFiLUpy7YnLMZ4J6d
 jNpwSwDzxvJVy0OvB9SgVF0hX5DdbKTRBSZpGYQgoVdPelGnqs6uq8fa1Ker587E6O6haTIX779d
 pd5UIX75/XbtumwE0L+IvMpekoM9zH8pCowu4g==
Message-ID: <875z0uqat6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Andrea Corallo <akrl@HIDDEN> writes:

> Thierry Volpiatto <thievol@HIDDEN> writes:
>
>> Andrea Corallo <akrl@HIDDEN> writes:
>>
>>> Eli Zaretskii <eliz@HIDDEN> writes:
>>>
>>>>> From: Thierry Volpiatto <thievol@HIDDEN>
>>>>> Date: Fri, 26 Feb 2021 08:35:30 +0100
>>>>>
>>>>> giving a try to native-comp branch.
>>>>>
>>>>> I install Emacs generaly with:
>>>>>
>>>>> make install bindir=3D/usr/local/sbin/emacs-28.0.50 infodir=3D/usr/lo=
cal/share/info-28.0.50
>>>>>
>>>>> This always worked fine.  However with native-comp branch, I have to
>>>>> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/"=
 to
>>>>> "/usr/local/sbin" otherwise I endup with an error:
>>>>>
>>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
>>>>> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
>>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>>>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/=
window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file =
or directory
>>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>>>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/=
window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file =
or directory
>>>>
>>>> Hmm... I'm not sure we can resolve this in any other way, although we
>>>> should try.  What worked for you with previous versions was just a
>>>> side effect of the implementation detail: how Emacs finds the files it
>>>> needs when it starts.  The *.eln files bring more restrictions to the
>>>> table, and it could very well be that the symlink trick will be the
>>>> only practical solution to such a non-standard installation.
>>>>
>>>> A possible solution is to set EMACSNATIVELOADPATH in the environment.
>>>
>>> As the error is while resurrecting from dump I think acting on the load
>>> path will not help as in this phase we relocate elns simply by filename.
>>>
>>> Thierry, are you specifying your custom bindir only when installing or
>>> also while building?
>>
>> Only when installing.
>>
>>> If the case is the first could you please try again setting bindir
>>> also while building?
>>
>> How, is this allowed or even possible?
>
> make bootstrap bindir=3D/xxx
>
> I think ATM this should work (would be nice if you could check this),

I tried and it is working partially.

Calling emacs from /usr/local/sbin works, however when I symlink
/usr/local/sbin/emacs-28.0.50/emacs-28.0.50 to /usr/local/bin I have the
same error:

make[1]=C2=A0: on quitte le r=C3=A9pertoire =C2=AB=C2=A0/home/thierry/tmp/e=
macs/lib-src=C2=A0=C2=BB
find native-lisp -type d -exec /bin/mkdir -p "/usr/local/lib/emacs/28.0.50/=
{}" \; ; \
find native-lisp -type f -exec /usr/bin/install -c -m 644 "{}" "/usr/local/=
lib/emacs/28.0.50/{}" \;
thierry@IPadS340:~/tmp/emacs$ cd
thierry@IPadS340:~$ cd /usr/local/sbin/emacs-28.0.50/
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ sudo eselect-emacs
Versions availables:
1) emacs-27.1
2) emacs-26.3
3) emacs-28.0.50

Current version is emacs-27.2
Choose a new version: 3
Deleting Symlink /usr/local/bin/emacsclient
Deleting Symlink /usr/local/bin/ctags
Deleting Symlink /usr/local/bin/etags
Deleting Symlink /usr/local/bin/ebrowse
Deleting Symlink /usr/local/bin/emacs
Symlinking /usr/local/sbin/emacs-28.0.50/emacsclient to /usr/local/bin/emac=
sclient
Symlinking /usr/local/sbin/emacs-28.0.50/ctags to /usr/local/bin/ctags
Symlinking /usr/local/sbin/emacs-28.0.50/etags to /usr/local/bin/etags
Symlinking /usr/local/sbin/emacs-28.0.50/ebrowse to /usr/local/bin/ebrowse
Symlinking /usr/local/sbin/emacs-28.0.50/emacs-28.0.50 to /usr/local/bin/em=
acs
Deleting symlink/usr/local/share/info
Symlinking /usr/local/share/info-28.0.50 to /usr/local/share/info

emacs-28.0.50 installed
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ cdl
thierry@IPadS340:/usr/local/sbin$ cdl
thierry@IPadS340:/usr/local$ cd bin
thierry@IPadS340:/usr/local/bin$ ls
apt  ctags  ebrowse  emacs  emacsclient  emacseditor  eselect-emacs  etags =
 gnome-help  helm  highlight-mint  mint-sha256sum  mu  piactl  search  xour=
nal  yelp
thierry@IPadS340:/usr/local/bin$ ./emacs
emacs: /usr/local/bin/../native-lisp/28.0.50-2f134e58/preloaded/window-0d1b=
8b93-513ac8ca.eln: cannot open shared object file: No such file or directory
thierry@IPadS340:/usr/local/bin$ emacs
emacs: /usr/local/bin/../native-lisp/28.0.50-2f134e58/preloaded/window-0d1b=
8b93-513ac8ca.eln: cannot open shared object file: No such file or directory
=20

So for now what is working best for me is symlinking native-lisp
directory to /usr/local/sbin.

>=20
> reading Eli's opinion we may change it tho.
>
>>> Sorry for not responding earlier, I've been in round robin on the issues
>>> I had the feeling were higher priority but was still in my todo list :)
>>
>> No problems, congrats for the huge work.
>
> Thanks
>
>   Andrea


=2D-=20
Thierry

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQHHBAEBCgAxFiEEI9twfRN7r3nig/xwDsVtFB0W75MFAmBx58UTHHRoaWV2b2xA
cG9zdGVvLm5ldAAKCRAOxW0UHRbvk3+bC/9au7iDNQYxtHAa2MmZS03oynBzicjx
5PJsmgot/wXvcFXmDm09zpArU503bpf/5IK1dMW10HOwEb9l5eYA9/xqXpmkOdi3
lPcv9ZeF0MgFs3Z1dz71VDIEP92pP3wj2LprWY03xyBB62vFuMenRurb6dYPdrjo
j/X8A/yoMW89of4tOK8oi3405QpuVJLZ+ucaxVS5HqzHFquJgZcfQULrDDQf3EKR
a9yHxFm7M7hyK2ObYT2NdEG+h3WY1eKDKOcFr4HOp6oRI9VUa8cBuUdKbc5yROjt
2hHfph1pT+iQBCy4Am/+kRckCnhO2ARzEiU1vbXs1IgSJbhE59h4SeoqWhZXwdMh
bE0QfcuiXNGMjRXNFB2oYvuL/zp9jQ/b5LzOk9NAIYTUWsqc6rif55bd0KT/krnk
fd1QgbWfllIQUFj+ABizk7s2bJTlOB1GZilSVpM6WkvN9gLTV9XiXF65cTtqxfnu
G8edWuqJBUTJo/d0FNFomdUu28BmPlntCDQ=
=oyO8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 16:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 12:30:49 2021
Received: from localhost ([127.0.0.1]:53128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lVGVV-0004jm-4I
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 12:30:49 -0400
Received: from mx.sdf.org ([205.166.94.24]:51247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lVGVS-0004jd-Ma
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 12:30:47 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13AGUjhI010137
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 10 Apr 2021 16:30:45 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <xjf5z0ufwyx.fsf@HIDDEN> <83zgy660io.fsf@HIDDEN>
Date: Sat, 10 Apr 2021 16:30:45 +0000
In-Reply-To: <83zgy660io.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 10 Apr
 2021 10:50:55 +0300")
Message-ID: <xjfwntadruy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46790
Cc: thievol@HIDDEN, 46790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: Thierry Volpiatto <thievol@HIDDEN>, 46790 <at> debbugs.gnu.org
>> Date: Sat, 10 Apr 2021 06:57:26 +0000
>> 
>> Thierry, are you specifying your custom bindir only when installing or
>> also while building?  If the case is the first could you please try
>> again setting bindir also while building?
>
> I don't think this can fly.  "make FOOdir=FOO" is a paradigm for
> installing parts of Emacs in specified directories without rebuilding.
>
> I think if we want to support this, the PATH_REL_LOADSEARCH trick is
> incorrect: we need to look for native-lisp directory relative to
> PATH_LOADSEARCH, i.e. relative to where the Lisp files are installed.
> Is this possible?
> The part that worries me is that we need to find
> these *.eln files very early during the process of restoring from the
> pdumper file, where we don't yet have all the directories handy.

I share your same worries (almost certainties here).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 16:25:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 12:25:34 2021
Received: from localhost ([127.0.0.1]:53110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lVGQQ-0004aL-9L
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 12:25:34 -0400
Received: from mx.sdf.org ([205.166.94.24]:51654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lVGQM-0004aB-Qr
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 12:25:33 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13AGPS6A008247
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 10 Apr 2021 16:25:29 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Thierry Volpiatto <thievol@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <xjf5z0ufwyx.fsf@HIDDEN> <87y2dqb67z.fsf@HIDDEN>
Date: Sat, 10 Apr 2021 16:25:28 +0000
In-Reply-To: <87y2dqb67z.fsf@HIDDEN> (Thierry Volpiatto's message of "Sat, 
 10 Apr 2021 15:46:18 +0200")
Message-ID: <xjf1rbif6o7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thierry Volpiatto <thievol@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>>> From: Thierry Volpiatto <thievol@HIDDEN>
>>>> Date: Fri, 26 Feb 2021 08:35:30 +0100
>>>>
>>>> giving a try to native-comp branch.
>>>>
>>>> I install Emacs generaly with:
>>>>
>>>> make install bindir=/usr/local/sbin/emacs-28.0.50 infodir=/usr/local/share/info-28.0.50
>>>>
>>>> This always worked fine.  However with native-comp branch, I have to
>>>> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
>>>> "/usr/local/sbin" otherwise I endup with an error:
>>>>
>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
>>>> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
>>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
>>>
>>> Hmm... I'm not sure we can resolve this in any other way, although we
>>> should try.  What worked for you with previous versions was just a
>>> side effect of the implementation detail: how Emacs finds the files it
>>> needs when it starts.  The *.eln files bring more restrictions to the
>>> table, and it could very well be that the symlink trick will be the
>>> only practical solution to such a non-standard installation.
>>>
>>> A possible solution is to set EMACSNATIVELOADPATH in the environment.
>>
>> As the error is while resurrecting from dump I think acting on the load
>> path will not help as in this phase we relocate elns simply by filename.
>>
>> Thierry, are you specifying your custom bindir only when installing or
>> also while building?
>
> Only when installing.
>
>> If the case is the first could you please try again setting bindir
>> also while building?
>
> How, is this allowed or even possible?

make bootstrap bindir=/xxx

I think ATM this should work (would be nice if you could check this),
reading Eli's opinion we may change it tho.

>> Sorry for not responding earlier, I've been in round robin on the issues
>> I had the feeling were higher priority but was still in my todo list :)
>
> No problems, congrats for the huge work.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 13:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 09:49:02 2021
Received: from localhost ([127.0.0.1]:51626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lVDyv-0006p3-OQ
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 09:49:02 -0400
Received: from mout02.posteo.de ([185.67.36.66]:43655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thievol@HIDDEN>) id 1lVDyt-0006oq-KX
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 09:49:00 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id F03422400FC
 for <46790 <at> debbugs.gnu.org>; Sat, 10 Apr 2021 15:48:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1618062534; bh=0vTAWinoEp5hr2rKg0yRDqQ03djvila5VmvjqxNVhaQ=;
 h=From:To:Cc:Subject:Date:Autocrypt:From;
 b=UV0z/rBJoYXehvZPLJ2oMCYeko9anMQwcHDmYhZBqVzDNsGJSZRgaXKJaf6QK/OIH
 JL9i3+Ej3aEYuytc+KxmvqXP67VKWPHFzNEciaQbJ7n8vQ89gz2XxQTBk30ifoB69w
 xQkgHiRRXpOVuv/bNleFMIRwMZNAfGcRfavUJ4so4r1ffnIkjgHCGCy+TWS9EEDmZS
 auPbTarC0ETpInuV+woBGVm28ClsNq3eGS2239aQgQ0kIj0YuCcoHPRelczPxlAG/O
 gAgdKZhi9AjAo+gS940fJffvZlKksKQVeQhCvqKk3MXLA0lKA3rbSek0XKAjB+eprz
 shFZCvbp6XLBA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FHbv8490Lz9rxH;
 Sat, 10 Apr 2021 15:48:52 +0200 (CEST)
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <xjf5z0ufwyx.fsf@HIDDEN>
User-agent: mu4e 1.5.11; emacs 27.2
From: Thierry Volpiatto <thievol@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
Date: Sat, 10 Apr 2021 15:46:18 +0200
In-reply-to: <xjf5z0ufwyx.fsf@HIDDEN>
Autocrypt: addr=thievol@HIDDEN; prefer-encrypt=mutual; keydata=
 mQGNBF8ylcIBDADG+hy+zR6L4/vbdDDZuSaMmSrU3A5QZJpeBCvxTr7MpzzruZbhLPW1K3R6N2MA
 edi8Y+C8o27FVRIjpdbaKMGu9je7JV/TbUQYo3SOwCK1vM4LUn4V6ZLzSYkuiEt4eyMoiDdyvN0p
 kcK6P9x9DCetcEVszXzQg+yzCVrQ2hXWDXWT4M18EC3wtO7RHPouMqGiwBFhBAYErCqFWFxQHkfb
 tG/4yGyJ58rglb65O3qijjMWvYwcWZun9/7qm8Z4/4mHopmo2zgU+OrptnLSZfkZGz3Y7Uf452xQ
 GVq0Fv75NPvQru7y+DYVhuVXXyAmGxt+vf4rIiixMBbhKEPjcxEPAa2LTzex2IsTZR+QVG9uDnqC
 WcgaOEQ58fzXNvNhtwwF/Rgio2XWAJVdmFWS59/k9W58CIUSNKBMZh2XeGdEmtHvDtCxW3z6FJha
 36RzOM3fMNNiAGdFZJA84gcdloJR+sHCDTTPT3784fjr+V8An7sI581NGFzkRQqPvEQCZbUAEQEA
 AbQSdGhpZXZvbEBwb3N0ZW8ubmV0iQHUBBMBCgA+FiEEI9twfRN7r3nig/xwDsVtFB0W75MFAl8y
 lcICGwMFCQPCZwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQDsVtFB0W75MB3QwAlTsVzFmr
 +S/tMKwwwOibjhNPi/OZiUC2AYfaqfVAiIHDT3RbzDe03sAJoomJkJnYVjGzQZwibCMO2+ITkMPV
 2wvrd4CbgS1KCVbrltwcuK/nxPCBaHytOCZUIInnhJo5PE/h03K0rWhUFLDocpnWwI7mPq33oR9N
 u2XMNtUQeWhhZHj8dvpMazWIR/c4iPnQiIobETISNlKIVo7DZSl67btoBrZygVYobgHpAYLBpHtH
 pXUcfM+Jrl8ytLouZ2XYeqzezr1qUDXhPk6mXtEVLJsK4FSS4wT5hPpRozuIwj6sE8OGJIp5uUhm
 SYm9mjRNJBEgmGUNxMQ/wbcA3NEWxBeIZbRvxMgHG47GJ0TJM4xLpGC8BHUZvuIw05gAtgoA3BGh
 5GXbLWy4fi8ozJA/kCkP43d3zh4wTOfQterVTf90bbw6NiNcmXdKH7E/yO1or06bleza39PJsshX
 8EETESzVIifk2yDnc0/CQ+FrLY9IwOOszkMouFXmiwN1xMkjuQGNBF8ylcIBDADnIDHEkmk4lUwT
 lOhwb2yjUfmGPnpH3MCCHkjM9H/P1gTHxFWtwFVPcNMCwXWvKSBTF2dZXKERD0yzG06zT53ZMN7E
 IIeuY6m4R8IcMvpohciisWxbFoB4ZY117tVSeqjo946itgbpdeESKl9a8dpn7ytZMyYxPdojlQAq
 xeAJ8444raESh1oTKXb64hlk4l2pSRlrLgjpJBo8asAfZndaxIUKhw68tV8sqeZh9P6cGtHbUELK
 VJqefNV7V7jF5wf3xvRG6Ces3kSKXalLfs+vrVaoOjQeWrc0AtwFWHmt9JLfKrqF+Q2Q7jUidboW
 mazQM56ESJFPpPHmWq8k6DHspsFHOforLouTHJL1556IPne7IV2BGfWc0+xLxalZ8F5F+vnPF/Ok
 rC1CD5iCKTjXKa2iZbcYdYQAiL6P8Ac8CgN6EkhpbxRtzrEgChuNGevdi/G/GHG4Zqrh6YFwIa/N
 Hq2aVaFq5C1yNTMJd1FRjRzs5JPPlJKpYDnNx+MSp7UAEQEAAYkBvAQYAQoAJhYhBCPbcH0Te695
 4oP8cA7FbRQdFu+TBQJfMpXCAhsMBQkDwmcAAAoJEA7FbRQdFu+TXsEL/3nCs8oDLBSTPXylenWK
 CYLdfZSg8jmwgRKihktU1ZLf8kL/LtEhxdKc9nYQO0gTYdPQ+HEdFbm+gFZ4AxuCtd5zM+MP5Sej
 pfr93QbLwYCiqsudKa+T7wosBBNFnh8ZQkbnsF6iPIeESCJM0Vhjh1lQ+z1qVkdf/yazwmXspOUh
 3kx8dzJQ1F3t6Dj/zHpdNE11bT6wFwTPBFvFeH0yCwDpvVcLbH0xf/0V/RhwkQ4jjae0Cqn8domz
 RpGODjXkAzoRqpRL9/DvIKTQ/uJQqzu6qvi04foFCmtWTSahJiLtbgHSDNj1HHOivtgeTgtVdAEk
 ZAqAXJfmaM8KkEi8Rqcbz3AzkjNWjQNkel0xjB3wkewds1iGcvo2/etWOXcvFiLUpy7YnLMZ4J6d
 jNpwSwDzxvJVy0OvB9SgVF0hX5DdbKTRBSZpGYQgoVdPelGnqs6uq8fa1Ker587E6O6haTIX779d
 pd5UIX75/XbtumwE0L+IvMpekoM9zH8pCowu4g==
Message-ID: <87y2dqb67z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Andrea Corallo <akrl@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Thierry Volpiatto <thievol@HIDDEN>
>>> Date: Fri, 26 Feb 2021 08:35:30 +0100
>>>
>>> giving a try to native-comp branch.
>>>
>>> I install Emacs generaly with:
>>>
>>> make install bindir=3D/usr/local/sbin/emacs-28.0.50 infodir=3D/usr/loca=
l/share/info-28.0.50
>>>
>>> This always worked fine.  However with native-comp branch, I have to
>>> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
>>> "/usr/local/sbin" otherwise I endup with an error:
>>>
>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
>>> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/wi=
ndow-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or=
 directory
>>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/wi=
ndow-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or=
 directory
>>
>> Hmm... I'm not sure we can resolve this in any other way, although we
>> should try.  What worked for you with previous versions was just a
>> side effect of the implementation detail: how Emacs finds the files it
>> needs when it starts.  The *.eln files bring more restrictions to the
>> table, and it could very well be that the symlink trick will be the
>> only practical solution to such a non-standard installation.
>>
>> A possible solution is to set EMACSNATIVELOADPATH in the environment.
>
> As the error is while resurrecting from dump I think acting on the load
> path will not help as in this phase we relocate elns simply by filename.
>
> Thierry, are you specifying your custom bindir only when installing or
> also while building?

Only when installing.

> If the case is the first could you please try again setting bindir
> also while building?

How, is this allowed or even possible?

> Sorry for not responding earlier, I've been in round robin on the issues
> I had the feeling were higher priority but was still in my todo list :)

No problems, congrats for the huge work.

=2D-=20
Thierry

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQHHBAEBCgAxFiEEI9twfRN7r3nig/xwDsVtFB0W75MFAmBxrMATHHRoaWV2b2xA
cG9zdGVvLm5ldAAKCRAOxW0UHRbvkyj8DACxHneLVDo6aVJCVn21QowzJLXy3ZnB
U5yqWWb9sYDl9sidOwDyjz8s18L4sLOXrPSwFcau+ab9In93MDqAuJHIntODnGIn
gHOvXmxgxR0fuovZS657pxf7hZrs5o1mF1KRw6UKBuNmHEdqnGwxqPjbi0hFwAcE
NocLyvcLHEJojKXUdR+U3qfXlDlp/e+eTr9/P/xxdca5zn3/7BWJJ057ONatWrAz
gEfMtNzf9UryYgr2RWlgro+arABsskFIP+OTVVscGoih7HUPPDdd5sIr/9DG8G3v
53PU+h3vujAEXS1OFlYFZd3MBiMf9DjyMDIBBBtigNNP99uqwzQj3WB7SavSydbr
J9dlC50v6+HASVOznBHzRWgub3LjDccVDI7Cm3AHq6aF1bpM0iurQ+Y0lycBYFRH
NLfAwUP68Wb1xCkTIXFgI9JQNGUDYm966mZALW2AF7PQbpfdcOM9v2GLFhrYBwUZ
5elSGcMyWL2jU3b7I0TWJCQpQyRNlmw5QbA=
=64Td
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 07:51:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 03:51:23 2021
Received: from localhost ([127.0.0.1]:51379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV8Oo-0004Pu-NZ
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 03:51:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lV8Om-0004Pg-J4
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 03:51:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41019)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lV8Oe-0002NV-AA; Sat, 10 Apr 2021 03:51:12 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3209
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lV8Oc-0008TO-Kd; Sat, 10 Apr 2021 03:51:11 -0400
Date: Sat, 10 Apr 2021 10:50:55 +0300
Message-Id: <83zgy660io.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf5z0ufwyx.fsf@HIDDEN> (message from Andrea Corallo on Sat, 10
 Apr 2021 06:57:26 +0000)
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <xjf5z0ufwyx.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: thievol@HIDDEN, 46790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Thierry Volpiatto <thievol@HIDDEN>, 46790 <at> debbugs.gnu.org
> Date: Sat, 10 Apr 2021 06:57:26 +0000
> 
> Thierry, are you specifying your custom bindir only when installing or
> also while building?  If the case is the first could you please try
> again setting bindir also while building?

I don't think this can fly.  "make FOOdir=FOO" is a paradigm for
installing parts of Emacs in specified directories without rebuilding.

I think if we want to support this, the PATH_REL_LOADSEARCH trick is
incorrect: we need to look for native-lisp directory relative to
PATH_LOADSEARCH, i.e. relative to where the Lisp files are installed.
Is this possible?  The part that worries me is that we need to find
these *.eln files very early during the process of restoring from the
pdumper file, where we don't yet have all the directories handy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 07:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 03:37:55 2021
Received: from localhost ([127.0.0.1]:51375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV8Bn-00047C-C1
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 03:37:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lV8Bl-00046y-I7
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 03:37:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40964)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lV8Bf-000301-0K; Sat, 10 Apr 2021 03:37:47 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2395
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lV8Be-0007gc-B9; Sat, 10 Apr 2021 03:37:46 -0400
Date: Sat, 10 Apr 2021 10:37:30 +0300
Message-Id: <831rbi7fph.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Thierry Volpiatto <thievol@HIDDEN>
In-Reply-To: <87tuoebsxx.fsf@HIDDEN> (message from Thierry Volpiatto on
 Sat, 10 Apr 2021 07:17:09 +0200)
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
 <87tuoebsxx.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Thierry Volpiatto <thievol@HIDDEN>
> Cc: Andrea Corallo <akrl@HIDDEN>, 46790 <at> debbugs.gnu.org
> Date: Sat, 10 Apr 2021 07:17:09 +0200
> 
> > What worked for you with previous versions was just a side effect of
> > the implementation detail: how Emacs finds the files it needs when it
> > starts.  The *.eln files bring more restrictions to the table, and it
> > could very well be that the symlink trick will be the only practical
> > solution to such a non-standard installation.
> 
> This not really a non standard installation, it is documented in INSTALL
> since always

Documented where?  INSTALL explains the meaning of each Makefile
variable, but it never says that any arbitrary combination of their
values will work.

> I am not sure also if everything is working properly with a "standard"
> installation, i.e. in /usr/local/bin, is in this case the native-lisp
> dir found?

When you configure Emacs, the place is recorded in epaths.h, exactly
like the directory for Lisp files is.

> > A possible solution is to set EMACSNATIVELOADPATH in the environment.
> 
> Didn't know this env var.
> 
> > Alternatively, you could modify your Emacs to look in the correct
> > directory by default.
> 
> Don't know how to do this, anyway all methods should be documented.

The documentation is not yet complete.

In any case, I don't think this issue should block the merge of the
branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 06:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 02:57:34 2021
Received: from localhost ([127.0.0.1]:51352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV7Yk-00039W-3P
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 02:57:34 -0400
Received: from mx.sdf.org ([205.166.94.24]:49820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lV7Yh-00039M-EN
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 02:57:32 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13A6vR0J024678
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 10 Apr 2021 06:57:27 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
Date: Sat, 10 Apr 2021 06:57:26 +0000
In-Reply-To: <83h7kf70dz.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 09 Apr
 2021 21:56:08 +0300")
Message-ID: <xjf5z0ufwyx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46790
Cc: Thierry Volpiatto <thievol@HIDDEN>, 46790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Thierry Volpiatto <thievol@HIDDEN>
>> Date: Fri, 26 Feb 2021 08:35:30 +0100
>>
>> giving a try to native-comp branch.
>>
>> I install Emacs generaly with:
>>
>> make install bindir=/usr/local/sbin/emacs-28.0.50 infodir=/usr/local/share/info-28.0.50
>>
>> This always worked fine.  However with native-comp branch, I have to
>> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
>> "/usr/local/sbin" otherwise I endup with an error:
>>
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
>> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
>
> Hmm... I'm not sure we can resolve this in any other way, although we
> should try.  What worked for you with previous versions was just a
> side effect of the implementation detail: how Emacs finds the files it
> needs when it starts.  The *.eln files bring more restrictions to the
> table, and it could very well be that the symlink trick will be the
> only practical solution to such a non-standard installation.
>
> A possible solution is to set EMACSNATIVELOADPATH in the environment.

As the error is while resurrecting from dump I think acting on the load
path will not help as in this phase we relocate elns simply by filename.

Thierry, are you specifying your custom bindir only when installing or
also while building?  If the case is the first could you please try
again setting bindir also while building?

Sorry for not responding earlier, I've been in round robin on the issues
I had the feeling were higher priority but was still in my todo list :)

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 10 Apr 2021 05:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 01:38:28 2021
Received: from localhost ([127.0.0.1]:51292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV6KC-0001GE-DA
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 01:38:28 -0400
Received: from mout01.posteo.de ([185.67.36.65]:54227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thievol@HIDDEN>) id 1lV6K4-0001Fu-T6
 for 46790 <at> debbugs.gnu.org; Sat, 10 Apr 2021 01:38:26 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 83E121A022C
 for <46790 <at> debbugs.gnu.org>; Sat, 10 Apr 2021 07:38:14 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1618033094; bh=EkIiKD2blRhmOgDyzgKASJrogmJ1kOUXl0WTgEtCWqs=;
 h=From:To:Cc:Subject:Date:Autocrypt:From;
 b=g1Z4kNZEGHj1BKsNk68qytfpEtwNjWLerdscg1ODkSIQbXUFVzSutUCZxUKqpUG9X
 ZA10IrlzC/5awbqG1I7S+99CrOIvPbthV7CbQPiygIE8vgTY2uES9XNSD9rhgF2XEg
 2Z4/CFVVrrXvNm9GQ6yTUg2W+xIJQyBGr95rhzxYHiLJrE3iwEuHqWltdc65rtGq+N
 ed9Pq0AOJZPunmJ6qGeUa0gQE/3gAnXlNOq35JjCIDfLel57daX7RYyTjoThGDSua1
 m6auiJzjTaPnD1zg5uGJviTxhnY7ts/KupXz2KFUNczn1wDACHio4Dw+EZz6qLSFlX
 IDZ4K62xq5JnQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FHP0s6xYpz6tmB;
 Sat, 10 Apr 2021 07:38:05 +0200 (CEST)
References: <87h7lzgtyv.fsf@HIDDEN> <83h7kf70dz.fsf@HIDDEN>
User-agent: mu4e 1.5.11; emacs 27.2
From: Thierry Volpiatto <thievol@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: 28.0.50; make install with native-comp branch
Date: Sat, 10 Apr 2021 07:17:09 +0200
In-reply-to: <83h7kf70dz.fsf@HIDDEN>
Autocrypt: addr=thievol@HIDDEN; prefer-encrypt=mutual; keydata=
 mQGNBF8ylcIBDADG+hy+zR6L4/vbdDDZuSaMmSrU3A5QZJpeBCvxTr7MpzzruZbhLPW1K3R6N2MA
 edi8Y+C8o27FVRIjpdbaKMGu9je7JV/TbUQYo3SOwCK1vM4LUn4V6ZLzSYkuiEt4eyMoiDdyvN0p
 kcK6P9x9DCetcEVszXzQg+yzCVrQ2hXWDXWT4M18EC3wtO7RHPouMqGiwBFhBAYErCqFWFxQHkfb
 tG/4yGyJ58rglb65O3qijjMWvYwcWZun9/7qm8Z4/4mHopmo2zgU+OrptnLSZfkZGz3Y7Uf452xQ
 GVq0Fv75NPvQru7y+DYVhuVXXyAmGxt+vf4rIiixMBbhKEPjcxEPAa2LTzex2IsTZR+QVG9uDnqC
 WcgaOEQ58fzXNvNhtwwF/Rgio2XWAJVdmFWS59/k9W58CIUSNKBMZh2XeGdEmtHvDtCxW3z6FJha
 36RzOM3fMNNiAGdFZJA84gcdloJR+sHCDTTPT3784fjr+V8An7sI581NGFzkRQqPvEQCZbUAEQEA
 AbQSdGhpZXZvbEBwb3N0ZW8ubmV0iQHUBBMBCgA+FiEEI9twfRN7r3nig/xwDsVtFB0W75MFAl8y
 lcICGwMFCQPCZwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQDsVtFB0W75MB3QwAlTsVzFmr
 +S/tMKwwwOibjhNPi/OZiUC2AYfaqfVAiIHDT3RbzDe03sAJoomJkJnYVjGzQZwibCMO2+ITkMPV
 2wvrd4CbgS1KCVbrltwcuK/nxPCBaHytOCZUIInnhJo5PE/h03K0rWhUFLDocpnWwI7mPq33oR9N
 u2XMNtUQeWhhZHj8dvpMazWIR/c4iPnQiIobETISNlKIVo7DZSl67btoBrZygVYobgHpAYLBpHtH
 pXUcfM+Jrl8ytLouZ2XYeqzezr1qUDXhPk6mXtEVLJsK4FSS4wT5hPpRozuIwj6sE8OGJIp5uUhm
 SYm9mjRNJBEgmGUNxMQ/wbcA3NEWxBeIZbRvxMgHG47GJ0TJM4xLpGC8BHUZvuIw05gAtgoA3BGh
 5GXbLWy4fi8ozJA/kCkP43d3zh4wTOfQterVTf90bbw6NiNcmXdKH7E/yO1or06bleza39PJsshX
 8EETESzVIifk2yDnc0/CQ+FrLY9IwOOszkMouFXmiwN1xMkjuQGNBF8ylcIBDADnIDHEkmk4lUwT
 lOhwb2yjUfmGPnpH3MCCHkjM9H/P1gTHxFWtwFVPcNMCwXWvKSBTF2dZXKERD0yzG06zT53ZMN7E
 IIeuY6m4R8IcMvpohciisWxbFoB4ZY117tVSeqjo946itgbpdeESKl9a8dpn7ytZMyYxPdojlQAq
 xeAJ8444raESh1oTKXb64hlk4l2pSRlrLgjpJBo8asAfZndaxIUKhw68tV8sqeZh9P6cGtHbUELK
 VJqefNV7V7jF5wf3xvRG6Ces3kSKXalLfs+vrVaoOjQeWrc0AtwFWHmt9JLfKrqF+Q2Q7jUidboW
 mazQM56ESJFPpPHmWq8k6DHspsFHOforLouTHJL1556IPne7IV2BGfWc0+xLxalZ8F5F+vnPF/Ok
 rC1CD5iCKTjXKa2iZbcYdYQAiL6P8Ac8CgN6EkhpbxRtzrEgChuNGevdi/G/GHG4Zqrh6YFwIa/N
 Hq2aVaFq5C1yNTMJd1FRjRzs5JPPlJKpYDnNx+MSp7UAEQEAAYkBvAQYAQoAJhYhBCPbcH0Te695
 4oP8cA7FbRQdFu+TBQJfMpXCAhsMBQkDwmcAAAoJEA7FbRQdFu+TXsEL/3nCs8oDLBSTPXylenWK
 CYLdfZSg8jmwgRKihktU1ZLf8kL/LtEhxdKc9nYQO0gTYdPQ+HEdFbm+gFZ4AxuCtd5zM+MP5Sej
 pfr93QbLwYCiqsudKa+T7wosBBNFnh8ZQkbnsF6iPIeESCJM0Vhjh1lQ+z1qVkdf/yazwmXspOUh
 3kx8dzJQ1F3t6Dj/zHpdNE11bT6wFwTPBFvFeH0yCwDpvVcLbH0xf/0V/RhwkQ4jjae0Cqn8domz
 RpGODjXkAzoRqpRL9/DvIKTQ/uJQqzu6qvi04foFCmtWTSahJiLtbgHSDNj1HHOivtgeTgtVdAEk
 ZAqAXJfmaM8KkEi8Rqcbz3AzkjNWjQNkel0xjB3wkewds1iGcvo2/etWOXcvFiLUpy7YnLMZ4J6d
 jNpwSwDzxvJVy0OvB9SgVF0hX5DdbKTRBSZpGYQgoVdPelGnqs6uq8fa1Ker587E6O6haTIX779d
 pd5UIX75/XbtumwE0L+IvMpekoM9zH8pCowu4g==
Message-ID: <87tuoebsxx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Thierry Volpiatto <thievol@HIDDEN>
>> Date: Fri, 26 Feb 2021 08:35:30 +0100
>>=20
>> giving a try to native-comp branch.
>>=20
>> I install Emacs generaly with:
>>=20
>> make install bindir=3D/usr/local/sbin/emacs-28.0.50 infodir=3D/usr/local=
/share/info-28.0.50
>>=20
>> This always worked fine.  However with native-comp branch, I have to
>> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
>> "/usr/local/sbin" otherwise I endup with an error:
>>=20
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
>> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/win=
dow-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or =
directory
>> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
>> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/win=
dow-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or =
directory
>
> Hmm... I'm not sure we can resolve this in any other way, although we
> should try.

I am sure you will find some makefile magic for this.

> What worked for you with previous versions was just a side effect of
> the implementation detail: how Emacs finds the files it needs when it
> starts.  The *.eln files bring more restrictions to the table, and it
> could very well be that the symlink trick will be the only practical
> solution to such a non-standard installation.

This not really a non standard installation, it is documented in INSTALL
since always, I use this installation to manage different Emacs
versions (the executables in sbin/emacs-xxx are symlinked in bin).

I am not sure also if everything is working properly with a "standard"
installation, i.e. in /usr/local/bin, is in this case the native-lisp
dir found?

> A possible solution is to set EMACSNATIVELOADPATH in the environment.

Didn't know this env var.

> Alternatively, you could modify your Emacs to look in the correct
> directory by default.

Don't know how to do this, anyway all methods should be documented.

Thanks.

=2D-=20
Thierry

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQHHBAEBCgAxFiEEI9twfRN7r3nig/xwDsVtFB0W75MFAmBxOboTHHRoaWV2b2xA
cG9zdGVvLm5ldAAKCRAOxW0UHRbvk40hC/0eK5eVC3PShLdNKB+mJziyuB8bLO/H
S5gtM5eOyfALw1J7f99v11WjLP/h6UcU4rl0xe0ziX5v/sAbXolPu8TE26QwjbIg
CxwfoM0+YkUJzpOW3Ihqh3GsWk+IGQNkB4c8gY9TrCaCRaGp57oDWwEXUxe2iH3+
5zk14pLnPBi7JqwjakSu8+jlVfYiDOdLo8u90iDIqAcm21HrHuRESyqFNASRJ18E
Nc+vHasVoEsZGIAinn2zobdOkk4AOhYkpGktewtmXvgA2tPVC4mg6INJ2i2iM1Y2
bDB3oRqSxHm01MHyl7FAWIXCCNlNhh9QR8QpCIyEuA6mFqN026JBZBKxCDJ2UBfC
vWPcbzoffnUxe5nnyhwVrZFm7/fpm5PB2izToa5LyX+ndsWGgeGDPYmbvv3vw81K
uvap3s9I6vnqXwRgC+eoQlBI/QhtAHVe2Rl+UNzM/gk5DuGO7QK1+eu47Z69qOdE
VTiY6SE/q0AYax2Djt/Zal9cOEnf7IBZelI=
=SrzQ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at 46790 <at> debbugs.gnu.org:


Received: (at 46790) by debbugs.gnu.org; 9 Apr 2021 18:56:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 09 14:56:35 2021
Received: from localhost ([127.0.0.1]:50923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUwJ1-0006Pz-34
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 14:56:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lUwIz-0006Pk-Bz
 for 46790 <at> debbugs.gnu.org; Fri, 09 Apr 2021 14:56:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56911)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lUwIt-0005DB-Hu; Fri, 09 Apr 2021 14:56:27 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3566
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lUwIq-0004JA-HQ; Fri, 09 Apr 2021 14:56:25 -0400
Date: Fri, 09 Apr 2021 21:56:08 +0300
Message-Id: <83h7kf70dz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Thierry Volpiatto <thievol@HIDDEN>
In-Reply-To: <87h7lzgtyv.fsf@HIDDEN> (message from Thierry Volpiatto on
 Fri, 26 Feb 2021 08:35:30 +0100)
Subject: Re: 28.0.50; make install with native-comp branch
References: <87h7lzgtyv.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46790
Cc: 46790 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Thierry Volpiatto <thievol@HIDDEN>
> Date: Fri, 26 Feb 2021 08:35:30 +0100
> 
> giving a try to native-comp branch.
> 
> I install Emacs generaly with:
> 
> make install bindir=/usr/local/sbin/emacs-28.0.50 infodir=/usr/local/share/info-28.0.50
> 
> This always worked fine.  However with native-comp branch, I have to
> manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
> "/usr/local/sbin" otherwise I endup with an error:
> 
> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
> ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
> thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
> emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory

Hmm... I'm not sure we can resolve this in any other way, although we
should try.  What worked for you with previous versions was just a
side effect of the implementation detail: how Emacs finds the files it
needs when it starts.  The *.eln files bring more restrictions to the
table, and it could very well be that the symlink trick will be the
only practical solution to such a non-standard installation.

A possible solution is to set EMACSNATIVELOADPATH in the environment.

Alternatively, you could modify your Emacs to look in the correct
directory by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Feb 2021 07:37:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 26 02:37:59 2021
Received: from localhost ([127.0.0.1]:40180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFXhG-0002tQ-Sq
	for submit <at> debbugs.gnu.org; Fri, 26 Feb 2021 02:37:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:45318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thievol@HIDDEN>) id 1lFXhE-0002tI-1I
 for submit <at> debbugs.gnu.org; Fri, 26 Feb 2021 02:37:57 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36130)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <thievol@HIDDEN>)
 id 1lFXhD-0002oJ-HI
 for bug-gnu-emacs@HIDDEN; Fri, 26 Feb 2021 02:37:55 -0500
Received: from mout01.posteo.de ([185.67.36.65]:36346)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <thievol@HIDDEN>)
 id 1lFXhA-0004gd-Jm
 for bug-gnu-emacs@HIDDEN; Fri, 26 Feb 2021 02:37:55 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id F254716005C
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Feb 2021 08:37:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1614325069; bh=i+SXeWjPT8ZhbaXroQePHt02sJOemN0F9wFgMjh4Hcc=;
 h=From:To:Subject:Date:Autocrypt:From;
 b=Xbg5zjjqo6K0xeUQmxuvTZ1qvCPa1neeYbAXrkWtfIJHy2l34m22d7uRz3BkBr8a2
 S/1dKBoP6LxssGLWuTxkg3wqG3fQeM9RtK6TapmCzU2klM2KDpDAKsqFrfhLgS9UW7
 1BkeOQiCFbXBaTnZJTkZj0fUJ3MfEOwl8m+jpkfuneccfjnZYUhphGvJGkcwB65S7y
 nzpugmQUr1cS5+MwQW7aQuL//Coce/7pMjr1fSHFAui+N5PtvnCYrpBGV5mpMC1VJ7
 rsnv5nF+ppgk4qLBho5NDhGE1itpL/79NsPo7wPbe+Q9bTqEPA6hO4Z6QWYqCylX3c
 rQQO4i3IO3vAg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Dn1hp55nfz9rxP
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Feb 2021 08:37:46 +0100 (CET)
User-agent: mu4e 1.5.8; emacs 28.0.50
From: Thierry Volpiatto <thievol@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; make install with native-comp branch
Date: Fri, 26 Feb 2021 08:35:30 +0100
Autocrypt: addr=thievol@HIDDEN; prefer-encrypt=mutual; keydata=
 mQGNBF8ylcIBDADG+hy+zR6L4/vbdDDZuSaMmSrU3A5QZJpeBCvxTr7MpzzruZbhLPW1K3R6N2MA
 edi8Y+C8o27FVRIjpdbaKMGu9je7JV/TbUQYo3SOwCK1vM4LUn4V6ZLzSYkuiEt4eyMoiDdyvN0p
 kcK6P9x9DCetcEVszXzQg+yzCVrQ2hXWDXWT4M18EC3wtO7RHPouMqGiwBFhBAYErCqFWFxQHkfb
 tG/4yGyJ58rglb65O3qijjMWvYwcWZun9/7qm8Z4/4mHopmo2zgU+OrptnLSZfkZGz3Y7Uf452xQ
 GVq0Fv75NPvQru7y+DYVhuVXXyAmGxt+vf4rIiixMBbhKEPjcxEPAa2LTzex2IsTZR+QVG9uDnqC
 WcgaOEQ58fzXNvNhtwwF/Rgio2XWAJVdmFWS59/k9W58CIUSNKBMZh2XeGdEmtHvDtCxW3z6FJha
 36RzOM3fMNNiAGdFZJA84gcdloJR+sHCDTTPT3784fjr+V8An7sI581NGFzkRQqPvEQCZbUAEQEA
 AbQSdGhpZXZvbEBwb3N0ZW8ubmV0iQHUBBMBCgA+FiEEI9twfRN7r3nig/xwDsVtFB0W75MFAl8y
 lcICGwMFCQPCZwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQDsVtFB0W75MB3QwAlTsVzFmr
 +S/tMKwwwOibjhNPi/OZiUC2AYfaqfVAiIHDT3RbzDe03sAJoomJkJnYVjGzQZwibCMO2+ITkMPV
 2wvrd4CbgS1KCVbrltwcuK/nxPCBaHytOCZUIInnhJo5PE/h03K0rWhUFLDocpnWwI7mPq33oR9N
 u2XMNtUQeWhhZHj8dvpMazWIR/c4iPnQiIobETISNlKIVo7DZSl67btoBrZygVYobgHpAYLBpHtH
 pXUcfM+Jrl8ytLouZ2XYeqzezr1qUDXhPk6mXtEVLJsK4FSS4wT5hPpRozuIwj6sE8OGJIp5uUhm
 SYm9mjRNJBEgmGUNxMQ/wbcA3NEWxBeIZbRvxMgHG47GJ0TJM4xLpGC8BHUZvuIw05gAtgoA3BGh
 5GXbLWy4fi8ozJA/kCkP43d3zh4wTOfQterVTf90bbw6NiNcmXdKH7E/yO1or06bleza39PJsshX
 8EETESzVIifk2yDnc0/CQ+FrLY9IwOOszkMouFXmiwN1xMkjuQGNBF8ylcIBDADnIDHEkmk4lUwT
 lOhwb2yjUfmGPnpH3MCCHkjM9H/P1gTHxFWtwFVPcNMCwXWvKSBTF2dZXKERD0yzG06zT53ZMN7E
 IIeuY6m4R8IcMvpohciisWxbFoB4ZY117tVSeqjo946itgbpdeESKl9a8dpn7ytZMyYxPdojlQAq
 xeAJ8444raESh1oTKXb64hlk4l2pSRlrLgjpJBo8asAfZndaxIUKhw68tV8sqeZh9P6cGtHbUELK
 VJqefNV7V7jF5wf3xvRG6Ces3kSKXalLfs+vrVaoOjQeWrc0AtwFWHmt9JLfKrqF+Q2Q7jUidboW
 mazQM56ESJFPpPHmWq8k6DHspsFHOforLouTHJL1556IPne7IV2BGfWc0+xLxalZ8F5F+vnPF/Ok
 rC1CD5iCKTjXKa2iZbcYdYQAiL6P8Ac8CgN6EkhpbxRtzrEgChuNGevdi/G/GHG4Zqrh6YFwIa/N
 Hq2aVaFq5C1yNTMJd1FRjRzs5JPPlJKpYDnNx+MSp7UAEQEAAYkBvAQYAQoAJhYhBCPbcH0Te695
 4oP8cA7FbRQdFu+TBQJfMpXCAhsMBQkDwmcAAAoJEA7FbRQdFu+TXsEL/3nCs8oDLBSTPXylenWK
 CYLdfZSg8jmwgRKihktU1ZLf8kL/LtEhxdKc9nYQO0gTYdPQ+HEdFbm+gFZ4AxuCtd5zM+MP5Sej
 pfr93QbLwYCiqsudKa+T7wosBBNFnh8ZQkbnsF6iPIeESCJM0Vhjh1lQ+z1qVkdf/yazwmXspOUh
 3kx8dzJQ1F3t6Dj/zHpdNE11bT6wFwTPBFvFeH0yCwDpvVcLbH0xf/0V/RhwkQ4jjae0Cqn8domz
 RpGODjXkAzoRqpRL9/DvIKTQ/uJQqzu6qvi04foFCmtWTSahJiLtbgHSDNj1HHOivtgeTgtVdAEk
 ZAqAXJfmaM8KkEi8Rqcbz3AzkjNWjQNkel0xjB3wkewds1iGcvo2/etWOXcvFiLUpy7YnLMZ4J6d
 jNpwSwDzxvJVy0OvB9SgVF0hX5DdbKTRBSZpGYQgoVdPelGnqs6uq8fa1Ker587E6O6haTIX779d
 pd5UIX75/XbtumwE0L+IvMpekoM9zH8pCowu4g==
Message-ID: <87h7lzgtyv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.65; envelope-from=thievol@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello,

giving a try to native-comp branch.

I install Emacs generaly with:

make install bindir=/usr/local/sbin/emacs-28.0.50 infodir=/usr/local/share/info-28.0.50

This always worked fine.  However with native-comp branch, I have to
manually add a symlink of "/usr/local/lib/emacs/28.0.50/native-lisp/" to
"/usr/local/sbin" otherwise I endup with an error:

thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ls
ctags  ebrowse  emacs  emacs-28.0.50  emacsclient  etags
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs-28.0.50
emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory
thierry@IPadS340:/usr/local/sbin/emacs-28.0.50$ ./emacs
emacs: /usr/local/sbin/emacs-28.0.50/../native-lisp/28.0.50-40158ec0/window-0d1b8b93-738411b0.eln: cannot open shared object file: No such file or directory

Thanks.


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30, cairo version 1.15.10)
 of 2021-02-24 built on IPadS340
Repository revision: 0ee1a16769bfc8d3e6205e8d8dabc3be34df48b4
Repository branch: feature/native-comp
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Linux Mint 19.3

Configured using:
 'configure 'CFLAGS=-O3 -march=native' --with-nativecomp=yes
 --with-json=yes --with-mailutils --without-gconf --without-gsettings
 --without-dbus'

Configured features:
ACL CAIRO FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Ilisp

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-ligature-mode: t
  ligature-mode: t
  psession-mode: t
  psession-savehist-mode: t
  global-git-gutter-mode: t
  eldoc-in-minibuffer-mode: t
  display-time-mode: t
  winner-mode: t
  show-paren-mode: t
  helm-epa-mode: t
  helm-descbinds-mode: t
  override-global-mode: t
  helm-adaptive-mode: t
  helm-mode: t
  shell-dirtrack-mode: t
  helm-popup-tip-mode: t
  async-bytecomp-package-mode: t
  dired-async-mode: t
  minibuffer-depth-indicate-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(epa-mail gnutls epa-file network-stream nsm mailalias autocrypt-mu4e
addressbook-bookmark mu4e-config org-mu4e gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start gnus-dbus
dbus gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec
gnus-int gnus-range gnus-win gnus nnheader mu4e-patch mu4e-contrib mu4e
mu4e-org mu4e-main mu4e-view mu4e-headers mu4e-compose mu4e-context
mu4e-draft mu4e-actions ido rfc2368 smtpmail mu4e-mark mu4e-proc
mu4e-utils doc-view image-mode exif mu4e-lists mu4e-message shr kinsoku
svg dom flow-fill hl-line mu4e-vars mu4e-meta emamux helm-x-files
helm-for-files sh-script smie executable shadow sort autocrypt-message
autocrypt mail-extr face-remap magit-bookmark magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode git-commit log-edit add-log magit-core magit-autorevert
autorevert magit-margin magit-transient magit-process with-editor
magit-mode transient magit-git magit-section magit-utils crm image-file
image-converter tramp-cache helm-bookmark bookmark emacsbug message rmc
puny rfc822 mml mml-sec gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
helm-command jka-compr vc-filewise vc-rcs conf-mode ledger-config
ledger-mode ledger-check ledger-texi ledger-test ledger-sort
ledger-report ledger-reconcile ledger-occur ledger-fonts ledger-fontify
ledger-state ledger-complete ledger-schedule ledger-init ledger-xact
ledger-post ledger-exec ledger-navigate eshell esh-cmd esh-ext esh-opt
esh-proc esh-io esh-arg esh-module esh-groups esh-util ledger-context
ledger-commodities ledger-regex bug-reference naquadah-theme view solar
cal-dst holidays hol-loaddefs tv-utils sly-autoloads undo-tree diff
undo-tree-autoloads ligature ligature-autoloads boxquote rect
rainbow-mode-autoloads psession frameset wgrep-helm wgrep grep compile
text-property-search wgrep-autoloads log-view pcvs-util pcmpl-git
pcmpl-git-autoloads powerline powerline-separators color
powerline-themes powerline-autoloads toc-org-autoloads cl-indent ffap
markdown-toc-autoloads markdown-mode-autoloads autocrypt-autoloads
config-w3m w3m-autoloads git-gutter git-gutter-autoloads mule-util appt
diary-lib diary-loaddefs anaconda-mode xref project pythonic f dash s
anaconda-mode-autoloads pythonic-autoloads f-autoloads s-autoloads
eldoc-eval emamux-autoloads magit-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads dash-autoloads
pcomplete-extension pcmpl-unix pcmpl-gnu iterator iedit-autoloads
ledger-mode-autoloads wdired dired-extension org-config ob-gnuplot
org-crypt net-utils time winner w3m-wget wget thingatpt wget-sysdep
autotest-mode autoconf-mode paren woman man ediff ediff-merg ediff-mult
ediff-wind ediff-diff ediff-help ediff-init ediff-util init-helm helm-fd
epa derived epg epg-config helm-epa helm-misc helm-imenu imenu
helm-elisp-package package url-handlers helm-find helm-org org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs cal-menu calendar cal-loaddefs
helm-external helm-net browse-url xml url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse url-vars mailcap isearch-light helm-descbinds cus-edit pp
wid-edit helm-ls-git vc-git diff-mode vc vc-dispatcher helm-ipython
helm-elisp helm-eval edebug backtrace find-func helm-info python
tramp-sh use-package-bind-key bind-key popup helm-adaptive diminish
helm-mode helm-files filenotify tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete comint ansi-color
ring parse-time iso8601 time-date ls-lisp auth-source password-cache
json map helm-buffers helm-occur helm-tags helm-locate helm-grep
helm-regexp format-spec helm-utils helm-help helm-types
use-package-diminish helm-extensions-autoloads helm-config
helm-autoloads helm easy-mmode async-bytecomp helm-global-bindings
helm-easymenu helm-source eieio-compat eieio eieio-core eieio-loaddefs
helm-multi-match helm-lib dired-async advice dired-aux dired
dired-loaddefs async emms-autoloads use-package-core popup-autoloads
finder-inf diminish-autoloads mb-depth server comp comp-cstr warnings rx
cl-seq edmacro kmacro avoid cus-start cus-load use-package-autoloads
bind-key-autoloads straight-autoloads info cl-extra help-mode easymenu
seq byte-opt straight subr-x cl-macs gv bytecomp byte-compile cconv
cl-loaddefs cl-lib iso-transl tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face pcase macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads inotify lcms2 dynamic-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process
nativecomp emacs)

Memory information:
((conses 16 661731 286737)
 (symbols 48 41455 4)
 (strings 32 156019 31841)
 (string-bytes 1 5776862)
 (vectors 16 78802)
 (vector-slots 8 1345750 234886)
 (floats 8 2140 1053)
 (intervals 56 5946 962)
 (buffers 992 107))
<#secure method=pgpmime mode=sign>

-- 
Thierry




Acknowledgement sent to Thierry Volpiatto <thievol@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46790; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Apr 2021 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.